---
updatedAt: 2026-05-12T09:58:06.000Z
---

# Retrieve BLA capacity

This operation returns an object containing information about whether BLA capacity is available in each week of the next rolling year for the client of the asset ID given in the query parameter.

# OpenAPI definition

```json
{
  "components": {
    "responses": {
      "BLACapacitiesResponse": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/blaCapacityList"
            }
          }
        },
        "description": "BLACapacitiesResponse provides a list of BLA capacity for a year"
      },
      "BadRequestResponse": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        },
        "description": "BadRequestResponse indicates a request with invalid parameters"
      },
      "ForbiddenResponse": {
        "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized"
      },
      "GenericError": {
        "description": "GenericError generic error"
      },
      "UnauthorizedResponse": {
        "description": "UnauthorizedResponse signals an unauthorized API access"
      }
    },
    "schemas": {
      "BLACapacity": {
        "description": "BLACapacity provides information about the capacity available to schedule BLAs",
        "properties": {
          "hasCapacity": {
            "type": "boolean"
          },
          "week": {
            "format": "int64",
            "type": "integer"
          },
          "year": {
            "format": "int64",
            "type": "integer"
          }
        },
        "type": "object"
      },
      "ErrorMessage": {
        "description": "ErrorMessage describes the error",
        "properties": {
          "code": {
            "format": "int64",
            "type": "integer"
          },
          "reason": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "blaCapacityList": {
        "properties": {
          "collection": {
            "items": {
              "$ref": "#/components/schemas/BLACapacity"
            },
            "type": "array"
          }
        },
        "type": "object"
      }
    }
  },
  "info": {
    "license": {
      "name": "(c) Copyright 2021 WhiteHat Security"
    },
    "title": "Business Logic Assessments API",
    "version": "2.0.0"
  },
  "openapi": "3.0.1",
  "paths": {
    "/api/businessLogicAssessmentCapacities": {
      "get": {
        "description": "This operation returns an object containing information about whether BLA capacity is available in each week of the next rolling year for the client of the asset ID given in the query parameter.",
        "operationId": "getBusinessLogicAssessmentCapacities",
        "parameters": [
          {
            "description": "Asset ID",
            "in": "query",
            "name": "assetID",
            "required": true,
            "schema": {
              "format": "int64",
              "type": "integer"
            },
            "x-go-name": "AssetID"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/BLACapacitiesResponse"
          },
          "400": {
            "$ref": "#/components/responses/BadRequestResponse"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedResponse"
          },
          "403": {
            "$ref": "#/components/responses/ForbiddenResponse"
          },
          "500": {
            "$ref": "#/components/responses/GenericError"
          }
        },
        "summary": "Retrieve BLA capacity",
        "tags": [
          "Business Logic Assessments API v2.0"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com/"
    }
  ],
  "tags": [
    {
      "name": "Business Logic Assessments API v2.0"
    }
  ],
  "x-explorer-enabled": false,
  "x-readme": {
    "proxy-enabled": true
  }
}
```